# Awesome Mastodon [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

> A curated list of Mastodon-related stuff!

## Table of content

* [Introductions](#introductions)
* [Clients](#clients)
* [User styles](#user-styles)
* [User scripts](#user-scripts)
* [Bots](#bots)
* [Librairies](#librairies)
* [Bot frameworks](#bot-frameworks)

## Documentation

* [What I wish I knew before joining Mastodon](https://hackernoon.com/what-i-wish-i-knew-before-joining-mastodon-7a17e7f12a2b) - An introduction to Mastodon.
* [Wiki](https://en.mstdn.wiki/Main_Page) - The Mastodon Community Wiki.

## Clients

* [Tusky](https://play.google.com/store/apps/details?id=com.keylesspalace.tusky) - An Android client.

## User styles

* [Variable width](https://userstyles.org/styles/139721/mastodon-variable-width) - Makes Mastodon scale with the browser's width.
* [Narrow drawer](https://userstyles.org/styles/141457/mastodon-dynamic-wide-columns-narrow-drawer) - With the variable width style, makes the drawer narrower and the other columns scale accordingly.

## User scripts

* [NSFW Remover](https://greasyfork.org/fr/scripts/29228-mastodon-nsfw-remover) - Automatically display NSFW images.
* [Customizable interface](https://openuserjs.org/scripts/bl00m/Mastodon_Customizable_Interface) - Move and resize columns on a grid.

## Bots

* [feed2toot](https://gitlab.com/chaica/feed2toot) - Automatically parses rss feeds, identifies new posts and posts them on Mastodon (Python).
* [usercount](https://github.com/josefkenny/usercount) - A bot which posts user statistics to Mastodon (Python).
* [autofollow](https://github.com/gled-rs/mastodon-autofollow) - An autofollow bot for Mastodon (Python).
* [hnbot](https://github.com/raymestalez/mastodon-hnbot) - Posts the Hacker News stories with 100+ points (Python).
* [translator](https://christopher.su/projects/translator/#translate-existing-status) - Translate any Toot into the desired language using <code>@translator@toot.works [langcode]</code>

## Librairies

* [Mastodon.py](https://github.com/halcy/Mastodon.py) - Python wrapper for the Mastodon API.

## Bot frameworks


## License

[![CC0](http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](https://creativecommons.org/publicdomain/zero/1.0/)
